/**
 * Copyright (C) 2012 Stephan Classen
 * Based on guice-perist (Copyright (C) 2010 Google, Inc.)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.github.sclassen.guicejpa;

/**
 * Abstract super class for {@link ApplicationManagedPersistenceUnitBuilder} and
 * {@link ContainerManagedPersistenceUnitBuilder}.
 *
 * @author Stephan Classen
 */
abstract class AbstractPersistenceModuleBuilder {

  /**
   * Builds the module and also changes the state of the builder.
   * After calling this method all calls to the builder will result in an exception.
   *
   * @return the persistence module.
   */
  abstract AbstractPersistenceUnitModule build();

}
